...

Mise à jour vers la Version 2.0.18 de Smf

Démarré par maximus23, 02 Février 2021 à 10:56:37

« précédent - suivant »

maximus23

Bonjour à Tous,

Simple Machines Forum vous annonce la sortie d'un patch pour la branche 2.0.X de Smf qui mettra à jour votre forum de la
version 2.0.17 vers la version 2.0.18 de Smf.

Le correctif est axé pour le support du PHP 7.4 ainsi que sur d'autres problèmes rencontrés
sur les versions précédentes, tels que :

  • Politique de Confidentialité id_member manquant.
  • Correction des erreurs d'analyse PHP lors de l'utilisation du cache de fichiers SMF.
  • Éviter de tronquer le fichier Settings.php tant que le fichier n'est pas verrouillé.
  • Renforcer les contrôles de sécurité, se synchroniser avec la version 2.1.
  • A fait évoluer la logique de l'UTF16 par rapport à l'UTF8 à partir de la version 2.1.
  • Indiquez toujours votre adresse électronique lorsque vous téléchargez votre profil personnel.
  • Correction des informations manquantes affectant l'enregistrement des nouveaux enregistrements.
  • Correction de bogues avec sauts multi-versions (via CLI) où les paramètres ne se rafraîchissaient pas
  • Définir l'utf8 comme valeur par défaut à l'avenir

Informations pour la Mise à jour vers la Version 2.0.18 :

Si cela n'apparaît pas dans votre centre d'administration vous avez deux options : 

1 - Téléchargez le patch sur le Site de Mise à Jour et placez le dans le gestionnaire de paquet pour l'installer.
2 - Lancer l'application programmée dans Admin -> Maintenance -> Tâches Programmées.
Sélectionner la Tâche "Télécharger les fichiers Simple Machines" et cocher la case de la deuxième colonne puis cliquer sur le bouton "Lancer Maintenant".

Si vous avez des problèmes vous pouvez télécharger le patch via le Panneau d'Administration.

Vous pouvez également télécharger le patch directement sur le site upgrade patches page et l'installer via le gestionnaire de paquets comme un autre paquet tout simplement.

Si vous avez une version 2.0.x non mise à jour vous devez installer tout les patch en suivant.

Pour une ancienne version veuillez utiliser le large upgrade pour une mise à jour complète de votre forum.

Veuillez vous référer au manuel en ligne pour avoir plus de détails concernant :

Mise à Jour

Patch

Enfin, veuillez ne pas poster sur ce sujet pour des questions de support.

Vous obtiendrez des réponses plus rapidement en postant sur le forum adéquat.

Cordialement,

Simple Machines Forum Team.

Message Original
Amitiés et à Bientôt.
Have a Nice Day.
Developer Aestan Tray Menu for WampServer

Goupilop

Bonsoir,

Merci max, j'ai upgradé à la version 2.0.18 comme expliqué, seul le langage french donc 2 fichiers (index.french-utf8.php + Profile.french-utf8.php) sont repassé en 2.0.16
Pour résoudre le problème j'ai téléchargé en FTP dans le répertoire adéquate les 2 fichiers en remplacement au format 2.0.18 et là tout baigne
J'ai remarque que la version .en est mise à jour à la 2.0.18 mais pas la version .french ?
Pas grave c'est Ok maintenant

Bonne soirée... :)

maximus23

Bonsoir,

Oui pour les packs de langues il faut chaque fois reprendre les nouveaux.

Là j'ai pas encore eu le temps de vérifier les translations pour la 2.0.18 je ne sais même pas si il y en a :)

Dès que j'ai un moment j'irai vérifier sur Smf.

:)
Amitiés et à Bientôt.
Have a Nice Day.
Developer Aestan Tray Menu for WampServer

maximus23

Bonjour,

Après vérification le pack est à jour :)
Amitiés et à Bientôt.
Have a Nice Day.
Developer Aestan Tray Menu for WampServer

Goupilop

03 Février 2021 à 14:11:29 #4 Dernière édition: 03 Février 2021 à 14:13:56 par Goupilop »
Bonjour,

Pour info dans le pack langage la version english se met à jour mais pas la version french, comme expliqué plus haut il faut transférer les 2 fichiers french dans le répertoire du serveur pour remplacer ceux en version 2.0.16. C'est pas un gros boulot non plu mais faut connaitre la manip (récupérer les 2 fichiers dans le pack puis envoi par FTP) sinon lors de la vérification des fichiers SMF indique que le langage n'est pas à jour (reste en 2.0.16) suite à l'upgrade 2.0.18

La version english Ok:



La version french (thème par défaut) 



J'ai pas modifier celui du thème Core car je m'en sert pas

maximus23

Bonjour,

Oui c'est normal il faut reprendre le nouveau pack de langue lors d'une mise à jour.

C'est normal car les mises à jour sont en anglais donc pas possible de mettre les autres langages à jour car alors il faudrait 100 mises à jour de langue.

:)
Amitiés et à Bientôt.
Have a Nice Day.
Developer Aestan Tray Menu for WampServer

Goupilop

Bonjour,

Merci pour les infos max
Suis passé en même temps à PHP 7.4.14 est tout semble bien ;)